package com.cool.bang.modules.business.domain;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.enums.StatusType;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 楼幢信息
 *
 * @author Sy
 * 2024-10-22 09:27
 */
public class LpbBuilding extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 小区主键
     */
    private Integer communityId;

    /**
     * 排序号
     */
    private Integer sort;

    /**
     * 楼幢名称
     */
    private String name;

    /**
     * 单元数量
     */
    private Integer unitNum;

    /**
     * 总楼层
     */
    private Integer floorNum;

    /**
     * 地上楼层
     */
    private Integer upFloor;

    /**
     * 地下楼层
     */
    private Integer downFloor;

    /**
     * 层高
     */
    private String floorHeight;

    /**
     * 电梯标识1有 2无
     */
    private Integer liftType;

    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date createDate;

    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date updateDate;

    /**
     * 删除标识 0: 无效 1: 正常
     */
    private Integer delFlag;



    /**
     * 门店名称
     */
    private String storeName;
    @Override
    public void insertConfigure() {
        super.insertConfigure();
        this.delFlag = StatusType.ENABLE.ordinal();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getUnitNum() {
        return unitNum;
    }

    public void setUnitNum(Integer unitNum) {
        this.unitNum = unitNum;
    }

    public Integer getFloorNum() {
        return floorNum;
    }

    public void setFloorNum(Integer floorNum) {
        this.floorNum = floorNum;
    }

    public Integer getUpFloor() {
        return upFloor;
    }

    public void setUpFloor(Integer upFloor) {
        this.upFloor = upFloor;
    }

    public Integer getDownFloor() {
        return downFloor;
    }

    public void setDownFloor(Integer downFloor) {
        this.downFloor = downFloor;
    }

    public String getFloorHeight() {
        return floorHeight;
    }

    public void setFloorHeight(String floorHeight) {
        this.floorHeight = floorHeight;
    }

    public Integer getLiftType() {
        return liftType;
    }

    public void setLiftType(Integer liftType) {
        this.liftType = liftType;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
